<h1 style="text-align: left;">
<img  src="style/img/profile.png" align="center">Ваш профиль</h1>
<?php
db_connect();
$res = db_query("SELECT * FROM `".DBpref."users` WHERE `login` = '".db_string($_SESSION["login"])."'");
$row = db_assoc($res);
$rotikdvoiny = db_query("SELECT `id` FROM `".DBpref."users` WHERE `rating` > ".round($row["rating"],4));
$KolVoReferalof = db_rows(db_query("SELECT `id` FROM `".DBpref."users` WHERE `referals` = '".db_string($_SESSION["login"])."'"));
$KolVoReferalof2 = db_rows(db_query("SELECT `id` FROM `".DBpref."users` WHERE `referals2` = '".db_string($_SESSION["login"])."'"));
db_close();
?>
<table>
  <tr>
   
    <td>
	<?php
	if($_GET["t"] == "setpass"){
	
?>
<h2>Смена личных данных</h2>
<?php
if(isset($_POST["setld"])){
db_connect();
	$err = NULL;
	if(!checkEmail($_POST["email"]))
		$err .= "<li>E-mail введен не корректно</li>";
	if(db_rows(db_query("SELECT `id` FROM `".DBpref."users` WHERE `email` = '".db_string($_POST["email"])."'")) != 0 AND $_POST["email"]!=$row["email"])
		$err .= "<li>E-mail уже используются</li>";
	if(!is_numeric($_POST["wmid"]) OR strlen($_POST["wmid"]) != 12)
		$err .= "<li>WMID введен не верно</li>";
	if(strlen($_POST["purse"]) != 13 OR substr($_POST["purse"],0,1) != "R" OR !is_numeric(substr($_POST["purse"],1)))
		$err .= "<li>WMR кошелек введен не верно</li>";
		
	if($err == NULL){
		echo "<ul class='error'><li>Данные сохранены</li></ul>";
		db_query("UPDATE `".DBpref."users` SET `email` = '".db_string($_POST["email"])."', `wmid` = '".db_string($_POST["wmid"])."', `wmr` = '".db_string($_POST["purse"])."' WHERE `login` = '".db_string($_SESSION["login"])."'");
		
		$setldok = true;
	}else{
		echo "<ul class='error'>".$err."</ul>";
	}
db_close();
}

if($setldok == false){
?>
			<form action="" method="post">
			<table class="table2">
			  <tr>
				<td>E-mail </td>
				<td><input name="email" type="text" size="30" maxlength="60" value="<?php echo htmlspecialchars(isset($_POST["email"])?$_POST["email"]:$row["email"]); ?>" /></td>
			  </tr>
			  <tr>
				<td>WMID </td>
				<td><input name="wmid" type="text" size="30" maxlength="12" value="<?php echo htmlspecialchars(isset($_POST["wmid"])?$_POST["wmid"]:$row["wmid"]); ?>" /></td>
			  </tr>
			  <tr>
				<td>R кошелек </td>
				<td><input name="purse" type="text" size="30" maxlength="13" value="<?php echo htmlspecialchars(isset($_POST["purse"])?$_POST["purse"]:$row["wmr"]); ?>" /></td>
			  </tr>
			  <tr>
				<td></td>
				<td><input name="setld" type="submit" value="Сохранить" /></td>
			  </tr>
			 </table>
			</form>
<?php
}
?>
<h2>Смена пароля</h2>
<?php

		if(isset($_POST["setpasssub"])){
			db_connect();
			
			$err = NULL;			
			if(db_rows(db_query("SELECT `id` FROM `".DBpref."users` WHERE `login` = '".db_string($_SESSION["login"])."' AND `pass` = '".heshPass($_POST["oldpass"])."'")) == 0)
				$err .= "<li>Старый пароль введен не верно</li>";
			if(strlen($_POST["pass"]) < 6)
				$err .= "<li>Минимальная длина пароля 6 символов</li>";
			if($_POST["pass"] != $_POST["pass2"])
				$err .= "<li>Подтверждение пароля не совпадает</li>";
				
			if($err == NULL){
				db_query("UPDATE `".DBpref."users` SET `pass` = '".heshPass($_POST["pass"])."' WHERE `login` = '".db_string($_SESSION["login"])."'");
				
				echo "<ul class='good'><li>Пароль изменен</li></ul>";
				
				$setpassok = true;
			}else{
				echo "<ul class='error'>".$err."</ul>";	
			}
			db_close();	
		}	

			if($setpassok == false){
			?>			
			<form action="" method="post">
			<table class="table2">
			  <tr>
				<td>Старый пароль </td>
				<td><input name="oldpass" type="password" size="30" maxlength="25"></td>
			  </tr>
			  <tr>
				<td>Новый пароль </td>
				<td><input name="pass" type="password" size="30" maxlength="25" /></td>
			  </tr>
			  <tr>
				<td>Подтверждение пароля: </td>
				<td><input name="pass2" type="password" size="30" maxlength="25" /></td>
			  </tr>
			  <tr>
				<td></td>
				<td><input name="setpasssub" type="submit" value="Сменить" /></td>
			  </tr>
			 </table>
			</form>
	<?php
			}
			echo '<a id="avatar"></a><h2>Сменить аватар</h2>';
			if(isset($_FILES['avatar']['name'])){
		
		$err = NULL;
		if($_FILES['avatar']['size'] == 0 OR $_FILES['avatar']['size'] > 950*1024)
			$err .= "<li>Максималный размер файла 950 кб.</li>";	
		if($_FILES['avatar']['type'] != "image/gif" AND $_FILES['avatar']['type'] != "image/jpg" AND $_FILES['avatar']['type'] != "image/jpeg" AND $_FILES['avatar']['type'] != "image/png")
			$err .= "<li>Неверный формат изображения! Поддерживаемые форматы gif, jpg, jpeg, png.</li>";	
		if(!is_uploaded_file($_FILES['avatar']['tmp_name']))
			$err .= "<li>Произошла ошибка при загрузке файла на сервер</li>";
		$iwh = @GetImageSize($_FILES['avatar']['tmp_name']);
		if($iwh[0] > 120 or $iwh[1] > 120 or $iwh[0] < 50 or $iwh[1] < 50)
			$err .= "<li>Максимальные размеры картинки 120 x 120 px. - минимальные 50x50 px., ваше изображение не подходит под данные разрешения</li>";
		$type_file = str_replace("image/","",$_FILES['avatar']['type']);		
		@move_uploaded_file($_FILES['avatar']['tmp_name'],"upload/avatars/".htmlspecialchars($_SESSION["login"]).".".$type_file);
			
		if($err == NULL){
			db_connect();
			db_query("UPDATE `".DBpref."users` SET `img` = '"."upload/avatars/".htmlspecialchars($_SESSION["login"]).".".$type_file."' WHERE `login` = '".db_string($_SESSION["login"])."'");
			db_close();
			
			$setavatarok = true;
			echo "<ul class='good'><li>Аватар успешно изменен</li></ul>";
		}else{
			echo "<ul class='error'>".$err."</ul>";	
		}
			
	}
		if($setavatarok == false){
	?>
				<table class="table2">  
				 <tr>
				  <td>Сейчас аватар: </td>
				  <td>
				<img src="<?php echo ($row["img"] == NULL?"/upload/avatars/no.png":htmlspecialchars($row["img"])); ?>" width="95" ></img>
			      </td>
			     </tr> 
			    </table>
			      
		<form action="/?p=profile&t=setpass#avatar" method="post" enctype="multipart/form-data">
			<table class="table2">
			  <tr>
				<td>Выберите аватар: </td>
				<td><input type="file" name="avatar"></td>
			  </tr>
			  <tr>
				<td></td>
				<td>
			<input type="submit" value="Загрузить"></td>
			  </tr>
			 </table>
			
		</form>
		
					  <tr>
				<td>Уважаемые пользователи, загружаемая картинка должна быть размером не более 151 кб.</br>
Размер загружаемой картинки должен быть от 50х50 пискелей, до 120х120 пикселей.</br>
Вы можете также загружать анимированные картинки таких же размеров.</br>

Запрещено загружать аватары, нарушающие Российское законодательство, нормы общественной морали, порнокартинки и т.п. </br><font color="red">На аккаунты нарушителей могут быть наложены штрафные санкции вплодь до полной блокировки или удаления аккаунта без каких либо выплат.</font></br>
</td>
			  </tr>
		
	<?php
		}
	}else{
	?>
<table class="table2">
  <tr>
    <td>Логин:</td>
    <td><?php echo htmlspecialchars($row["login"]); ?></td>
  </tr>
  <tr>
    <td>Баланс: </td>
    <td><?php echo round($row["balance"], 2); ?> руб.</td>
  </tr>
  <tr>
    <td>Рейтинг:</td>
    <td><?php echo round($row["rating"], 2); ?></td>
  </tr>
  <tr>
    <td>Введено: </td>
    <td><?php echo round($row["balance_topup"], 2); ?> руб.</td>
  </tr>
  <tr>
    <td>Выведено: </td>
    <td><?php echo round($row["balance_cash"], 2); ?> руб.</td>
  </tr>
  <tr>
    <td>Реф.ссылка: </td>
    <td><?php echo URL."?ref=".htmlspecialchars($row["login"]); ?></td>
  </tr>
  <?php
		echo $row["ref"] != NULL?"
   <tr>
    <td>Реферер:</td>
    <td> ".htmlspecialchars($row["ref"])."</td>
  </tr>":"";
		?>
  <tr>
    <td>Рефералов: </td>
    <td><a href="/?p=referals" alt="Рефералы"  title="Рефералы"></a><?php echo $row['referals']; ?></a></td>
  </tr>
  
  <tr>
    <td>Побед:</td>
    <td><?php echo $row["game_win"]; ?></td>
  </tr>
  <tr>
    <td>Поражений:</td>
    <td><?php echo $row["game_loss"]; ?></td>
  </tr>
  <tr>
    <td>Ничьих (только из игр где есть ничья):</td>
    <td> <?php echo $row["game_draw"]; ?></td>
  </tr>
  <tr>
    <td>Всего сыграно игр:</td>
    <td> <?php echo $row["game_draw"]+$row["game_loss"]+$row["game_win"]; ?></td>
  </tr>
  <tr>
    <td>WMID:</td>
    <td><?php echo htmlspecialchars($row["wmid"]); ?></td>
  </tr>
  <tr>
    <td>WMR кошелек:</td>
    <td><?php echo htmlspecialchars($row["wmr"]); ?></td>
  </tr>
  <tr>
    <td>E-mail:</td>
    <td><?php echo htmlspecialchars($row["email"]); ?></td>
  </tr>
  <tr>
    <td>Дата регистрации:</td>
    <td><?php echo htmlspecialchars($row["regdat"]); ?></td>
  </tr>
</table>
	<?php
	}
	?>
	</td>
  </tr>
</table>
